Redmine - Feature #5643

Add X-Redmine-Sender header to email notifications

2010-06-05 19:58 - Jean-Jacques Mérillon

Status: Closed Start date: 2010-06-05
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed

Description

Hi,

I think it would be great if we could sort mail by sender. For example | want be able to color in light gray mail sent when | do an action

on Redmine.

Could you please add X-Redmine-sender header to email notification.

JJay

Related issues:

Related to Redmine - Feature #5405: change Emission mail address to the opera... Closed

2010-04-29

Associated revisions

Revision 8785 - 2012-02-05 13:57 - Jean-Philippe Lang

Adds a X-Redmine-Sender header to email notifications (#5643).

History

#1 - 2010-06-13 14:56 - Holger Just

This is already implemented. See source:trunk/app/models/mailer.rb#l 345.

An example would be

X-Redmine-Issue-Author: thelogin
X-Redmine-Issue-Id: 5643
Precedence: bulk
X-Redmine-Project: redmine
X-Mailer: Redmine
Auto-Submitted: auto-generated
X-Redmine-Site: Redmine
X-Redmine-Host: www.redmine.org

Using these headers (and the additional ones for the various notification types) you should be able to effectively filter your mail.

#2 - 2010-06-13 18:40 - Jean-Jacques Meérillon

Holger Just wrote:

This is already implemented. See source:trunk/app/models/mailer.rb#l 345.

Using these headers (and the additional ones for the various notification types) you should be able to effectively filter your mail.

No, It's not the feature | wish. | want be able to filter on notification sender. For example in the mail | received when you posted a reply to my ticket |

unable to see that you are the sender.
| wish a new header like that :

X-Redmine-sender: Holger
X-Redmine-Issue-Author: jjay
X-Redmine-Issue-ld: 5643
Precedence: bulk
X-Redmine-Project: redmine
X-Mailer: Redmine
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mailer.rb#L345
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mailer.rb#L345

Auto-Submitted: auto-generated

X-Redmine-Site: Redmine

X-Redmine-Host: www.redmine.org

Jday

#3 - 2010-12-04 22:59 - Jean-Jacques Mérillon

- File notification _sender.patch added

Hi,

| just added a patch for this feature. It's a really simple patch !
JJay

#4 - 2011-03-02 17:21 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2012-01-19 00:48 - Terence Mill

There is a plugin which can be reused

http://www.redmine.org/plugins/redmine_mail_sender

#6 - 2012-02-05 13:57 - Jean-Philippe Lang

- Subject changed from Add X-Redmine-sender header to email notifications to Add X-Redmine-Sender header to email notifications

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Added in r8785. The header is X-Redmine-Sender.

Files

notification_sender.patch
